Summary:	A library for interfacing IEEE 1284-compatible devices
Summary(pl.UTF-8):	Biblioteka do komunikacji z urządzeniami kompatybilnymi z IEEE 1284
Name:		libieee1284
Version:	0.2.11
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libieee1284/%{name}-%{version}.tar.bz2
# Source0-md5:	b8fff9f3d121531bc17430e3f4ea6ed0
URL:		http://cyberelk.net/tim/libieee1284/index.html
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	libtool
BuildRequires:	python
BuildRequires:	python-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libieee1284 library is for communicating with parallel port
devices.

%description -l pl.UTF-8
Biblioteka libieee1284 służy do komunikacji z urządzeniami
podłączanymi do portu równoległego.

%package devel
Summary:	Files for developing applications that use libieee1284
Summary(pl.UTF-8):	Pliki do tworzenia programów używających libieee1284
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The header files, libtool library and man pages for developing
applications that use libieee1284.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do tworzenia programów używających
libieee1284.

%package static
Summary:	Static version of libieee1284
Summary(pl.UTF-8):	Statyczna wersja libieee1284
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libieee1284 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libieee1284.

%package -n python-ieee1284
Summary:	Python binding for libieee1284 library
Summary(pl.UTF-8):	Wiązanie Pythona dla biblioteki libieee1284
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-ieee1284
Python binding for libieee1284 library.

%description -n python-ieee1284 -l pl.UTF-8
Wiązanie Pythona dla biblioteki libieee1284.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/libieee1284_test
%attr(755,root,root) %{_libdir}/libieee1284.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libieee1284.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libieee1284.so
%{_libdir}/libieee1284.la
%{_includedir}/ieee1284.h
%{_mandir}/man3/ieee1284_*.3*
%{_mandir}/man3/libieee1284.3*
%{_mandir}/man3/parport.3*
%{_mandir}/man3/parport_list.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libieee1284.a

%files -n python-ieee1284
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/ieee1284module.so
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libieee1284.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2c0883d
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> a2b0462
- dropped pre-cvs changelog

* Sat Nov 06 2010 Jakub Bogusz <qboosh@pld-linux.org> ffc5d85
- new Source0 URL, updated to 0.2.11

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1141572
- release 4

* Fri Oct 17 2008 Marcin Banasiak <marcin.banasiak@gmail.com> de6793d
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8214896
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1cf3a8f
- converted to UTF-8

* Sat Jan 27 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fd6de9
- rel 2

* Wed Mar 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 08bde3e
- updated to 0.2.10

* Sat Jan 22 2005 paladine <paladine@pld-linux.org> 114e244
- simplified setup

* Sat Jan 22 2005 Paweł Cyranek <pawel.cyranek@gmail.com> da2d9a9
- updated to 0.2.9

* Tue Oct 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 1dd9ecf
- package python module

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 3647472
- updated to 0.2.9pre2

* Sat May 31 2003 Artur Frysiak <artur@frysiak.net> 221f8ad
- updated to 0.2.8

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 36a2077
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 09cae91
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 03 2003 Artur Frysiak <artur@frysiak.net> 7209b7e
- up to 0.2.7

* Thu Jan 16 2003 Jakub Bogusz <qboosh@pld-linux.org> 9749ad5
- up to 0.2.6, removed obsolete no_sys_io.h patch

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 4202534
- massive attack: no need for 755 for *.la

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 5073a98
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

